# pip install pywin32 winshell

from pathlib import Path

from winshell import desktop
from win32com.client import Dispatch


def create_shortcut(path, target=''):
    shell = Dispatch('WScript.Shell')
    shortcut = shell.CreateShortCut(str(path))
    shortcut.Targetpath = target
    shortcut.WorkingDirectory = str(Path(target).parent)
    shortcut.IconLocation = target
    shortcut.save()


create_shortcut(Path(desktop()) / "VLC Player.lnk", r"C:\Program Files\VideoLAN\VLC\vlc.exe")
